<?php
require_once "common_functions.php";

// check if session_username is present
// if not, divert to cookies warning page

// 20080417 - Add retrieving scratch mode
// 20070724 - Redirect to a new page, not to show Shopping Cart for anonymous users
$settingObj = new COM("FSCONFIG.Cfgmgr") or die("fs_cart.php FSCONFIG.Cfgmgr Object cannot be created!");
$anonymousFlag = $settingObj->getKey("anonymous_login", "gateway");
$scratchLogin = $settingObj->getKey('scratch_login', 'gateway');
$settingObj = null;

// 20080418 - Initialize password if scratch mode
if (isset($scratchLogin) && $scratchLogin == 'on') {
    $password = '';
} else {
    $scratchLogin = 'off';
}

// 20080418 - Add scratch mode password handling
if ($anonymousFlag == "on") {
    header("Location: cart_anonymous.php");

// 20071107 - Reject blank content also for safety reason
} elseif (isset($_SESSION['session_username']) && $_SESSION['session_username'] != "") {

    $username=$_SESSION['session_username'];
} elseif (isset($username) && $username != "" && isset($password) && (($scratchLogin == 'off' && $password != "") || $scratchLogin == 'on')) {
    $myobj = new COM("FSAUTH.Authserv") or die("fs_cart.php FSAUTH.Authserv object cannot be created!");
    $mac= $myobj->QueryMac($username, $password);
    if($mac != "FAIL" && $mac != "LOGGED_IN_OTHER") {    //user exists, password ok!
        if(!session_id())
            session_start();

        $_SESSION['session_username'] = $username;

        //flip ip address and convert it into long format
        $_SESSION['sess_patronsoft1'] = ip2long(join('.', array_reverse( explode('.', $_SERVER['REMOTE_ADDR']) ) )); 

	// 20071217 - Prevent NOT_LOGGED from covering original session MAC string
	if ($mac != "NOT_LOGGED") {
	    $_SESSION['sess_patronsoft2'] = $mac;
	}
    } else if ($mac == "LOGGED_IN_OTHER"){
	    header("Location: cart_from_others.php");
        exit;
    }else {
        header("Location: cookies_warning.php");
        exit;
    }
    //$myObj->Release();
    $myobj=null;
}
// special for: can't overcome problem of set cross domain cookie eg. safari 
else if (isset($_GET['nscdc']) && $_GET['nscdc'] == 1 && isset($_GET['p2'])){

	if(!session_id())
		session_start();

	$_SESSION['sess_patronsoft2'] = $_GET['p2'];
	$rsult="";
	$myobj = new COM("FSAUTH.Authserv") or die("fs_cart.php FSAUTH.Authserv object cannot be created!");
	$rsult= $myobj->QueryUser($_SESSION['sess_patronsoft2']);
	$myobj=null;

	if (strcmp($rsult, "") != 0 && $rsult != 'DB NOT FOUND' && $rsult != 'DB EXEC FAIL') {
		$_SESSION['session_username'] = $rsult;
		$username=$_SESSION['session_username'];
	}
	else{
		header("Location: cookies_warning.php");
		exit;
	}
}
 else {
    header("Location: cookies_warning.php");
    exit;
}

// will only continue otherwise
// 20080716 - generate the item_index instead of generating the item attributes
// 20080403 - Return value instead of echo
function createRows()
{
    $color="#CC99FF";
    $retStr = '';

    // create COM Object
    $settingobj=new COM("FSCONFIG.Cfgmgr") or die("fs_cart.php FSCONFIG.Cfgmgr Object cannot be created!");         

    $max_slot_open=$settingobj->getKey( "max_slot_open", "cart");

    $i = 0;
    for ($i = 0; $i < $max_slot_open; $i++) {
        $description[$i]=$settingobj->getKey( "description".$i, "cart");
        if ($description[$i] != "") {
            $segments=$settingobj->getKey( "segments".$i, "cart");
            $num_return_path=$settingobj->getKey( "num_return_path", "MNS");

            if($segments!="") {
                for ($j=0;$j<$num_return_path;$j++) {
                    $return_paths=$settingobj->getKey( "return_path".$j, "MNS");
                    $return_path = explode(" ", $return_paths);
                    $gw_ip = explode(" ", $segments);

                    for ($k=0;$k<count($gw_ip);$k++) {
                        //segment matched and check incoming ip address
                        if (strcmp($gw_ip[$k], $return_path[0])==0 && isInSubnet($return_path[0],$return_path[1],$_SERVER['REMOTE_ADDR'])) {
                            $price[$i]=$settingobj->getKey( "price".$i, "cart");

			    $retStr .= "
		<tr align='center' bgcolor='".$color."'>
		    <td width='10%'><input type='radio' name='item_index' value='".$i."'></td>
		    <td width='45%' align='left'><span class=\"textspan\">".$description[$i]."</span></td>
		    <td width='45%'><span class=\"textspan\">".$price[$i]."</span></td>
		</tr>";
                            if ($color == "#CC99FF")
                                $color = "#FFFFCC";
                            else
                                $color = "#CC99FF";
                        }
                    }
                }
            } else {  //cart for all segments
                $price[$i]=$settingobj->getKey( "price".$i, "cart");
		$retStr .= "
		<tr align='center' bgcolor='".$color."'>
		    <td width='10%'><input type='radio' name='item_index' value='".$i."'></td>
		    <td width='45%' align='left'><span class=\"textspan\">".$description[$i]."</span></td>
		    <td width='45%'><span class=\"textspan\">".$price[$i]."</span></td>
		</tr>";
                if ($color == "#CC99FF")
                    $color = "#FFFFCC";
                else
                    $color = "#CC99FF";
            }
        }
    }

    // release the COM object
    //$settingobj->Release();
    $settingobj=null;

    return $retStr;
}

// 20070928 - Get currency label from config
function GetCurrency()
{
    // Create COM Object
    $settingObj = new COM("FSCONFIG.Cfgmgr") or die("fs_cart.php FSCONFIG.Cfgmgr Object cannot be created!");

    // Obtain payment method
    $paymentMethod = $settingObj->getKey("payment_method", "creditcard");

    // Obtain and return currency label
    $cartCurrency = "$";
    if ($paymentMethod == "ppal") {
	$cartCurrency = $settingObj->getKey("ppal_base_currency", "paypal");
    } else if ($paymentMethod == "worldpay") {
	$cartCurrency = $settingObj->getKey("wpay_base_currency", "worldpay");
    } else if ($paymentMethod == "authorizeNet") {
	$cartCurrency = $settingObj->getKey("aNet_base_currency", "AuthorizeNet");
    } else if ($paymentMethod == "checkout") {
	$cartCurrency = $settingObj->getKey("checkout_base_currency", "googleCheckout");
    } else if ($paymentMethod == "user_defined") {
	$cartCurrency = $settingObj->getKey("currency", "User_defined_payment");
    }

    // Release COM object
    $settingObj = NULL;

    // 20080403 - Return value instead of echo
    return " ($cartCurrency)";
}

?>
