<?php
// accept $l_name variable posted and return paypal history 
// of the user in in a table

require_once "fs_lang.php";
require_once "common_functions.php";
require_once 'generate_common.php';

// user-defined settings
$title=get_var('ppal_history_title');
$col_heading_1= get_var('ppal_history_col1');
$col_heading_2= get_var('ppal_history_col2');
$col_heading_3= get_var('ppal_history_col3');
$col_heading_4= get_var('ppal_history_col4');
$col_heading_5= get_var('ppal_history_col5');
//$col_heading_6= get_var('ppal_history_col6');
//$col_heading_7= get_var('ppal_history_col7');
$pay_status_empty= get_var('ppal_history_status_empty');
$pay_status_PendingN= get_var('ppal_history_status_pendingN');
$pay_status_PendingY= get_var('ppal_history_status_pendingY');
$pay_status_Completed= get_var('ppal_history_status_completed');
$pay_status_Refunded= get_var('ppal_history_status_refunded');
$pay_status_Cancelled= get_var('wpay_history_status_cancelled');

// check if session_username is present
// if not, divert to cookies warning page
if(!session_id())
	session_start();

if (isset($_SESSION['session_username']))
	$username=$_SESSION['session_username'];
else {
	header("Location: cookies_warning.php");
	exit;
}

// will only continue otherwise

// 20090427 - Block if RADIUS mode
$settingObj = new COM('FSCONFIG.Cfgmgr') or die('paypal_hostory.php FSCONFIG.Cfgmgr Object cannot be created!');
$useRadius = $settingObj->getKey('use_radius', 'radius');
$settingObj = null;
if (strtolower($useRadius) == 'true') {
    $inputStr = '<span class="boldtextspan">'.get_var('ppal_history_radius_not_support').'</span><br>';
    GenTable('', $inputStr, '');
}

// 20090327 - Show DB error page
// get the user's history
// return is an array
$result = fs_grab_paypal_history($username); // get user's history
if ($result == FALSE) {
    $inputStr = '<span class="boldtextspan">'.get_var('login_database_unavailable').'</span><br>';
    GenTable('', $inputStr, '');
}

// 20080407 - Collect dynamic HTML content for layout
$smarty = new SmartyConnect;
$smarty->assign('L_PAYPAL_HIST_CHARSET', metaCharset());
$smarty->assign('L_PAYPAL_HIST_TITLE', $title);
$smarty->assign('L_PAYPAL_HIST_USERNAME', $username);
$smarty->assign('L_PAYPAL_HIST_COL1', $col_heading_1);
$smarty->assign('L_PAYPAL_HIST_COL2', $col_heading_2);
$smarty->assign('L_PAYPAL_HIST_COL3', $col_heading_3);
$smarty->assign('L_PAYPAL_HIST_COL4', $col_heading_4);
$smarty->assign('L_PAYPAL_HIST_COL5', $col_heading_5);
$historyStr = '';
while (odbc_fetch_row($result)) {
    $historyStr .= '
	    <tr align="center" bordercolor="#000000">
		<td><p><span class="ppalhistoryspan">'.date("Y-M-d H:i",floor(odbc_result($result,"ORDER_DATE"))).'</span></p></td>
		<td><p><span class="ppalhistoryspan">'.odbc_result($result,"ITEM_NAME").'</span></p></td>
		<td><p><span class="ppalhistoryspan">'.odbc_result($result,"AMOUNT").'</span></p></td>
		<td><p><span class="ppalhistoryspan">'.odbc_result($result,"QUANTITY").'</span></p></td>
		<td><p><span class="ppalhistoryspan">';
    $p = odbc_result($result, "PAY_STATUS");
    if ($p == "") {
	$historyStr .= $pay_status_empty;
    } elseif ($p == "PendingY") {
	$historyStr .= $pay_status_PendingY;
    } elseif ($p == "PendingN") {
	$historyStr .= $pay_status_PendingN;
    } elseif ($p == "Completed") {
	$historyStr .= $pay_status_Completed;
    } elseif ($p == "Refunded") {
	$historyStr .= $pay_status_Refunded;
    } elseif ($p == "Cancelled") {
	$historyStr .= $pay_status_Cancelled;
    } else {
	$historyStr .= $p;
    }
    $historyStr .= '</span></p></td>
	    </tr>';
}
$smarty->assign('L_PAYPAL_HIST_HISTORY', $historyStr);
$smarty->assign('J_COMMON', $j_common);

// 20080407 - Move layout content and include the file here
$smarty->display('paypal_history_body.tpl');

?>
