<?php
// security check
require_once "secureLogin.php";
include_once "db_access.php";

    function numberOperator($operatorString) {
        /* 
         *  Purpose: It transform english description to numerical operator
         */
        switch ($operatorString) {
            case "0":
                $operator = "<";
            break;
            case "1":
                $operator = "=";
            break;
            case "2":
                $operator = ">";
            break;
            default:
                $operator = "unknown";
            break;
        }
        return $operator;
    } //numberOperator()

    function makeComplexDateSql($startOrExpire,$mode,$timeStamp) {
        /*
         *  Purpose:
         *  Make SQL statement to compare date.
         *  This function is rather complicated and is needed because of
         *  the non-standard design of date field of user table.
         */
        $dateString = explode(" ",date("Y n d H:i:s",$timeStamp));
        $monthInteger = (int)$dateString[1];
        $monthAbbre[1] = "Jan";
        $monthAbbre[2] = "Feb";
        $monthAbbre[3] = "Mar";
        $monthAbbre[4] = "Apr";
        $monthAbbre[5] = "May";
        $monthAbbre[6] = "Jun";
        $monthAbbre[7] = "Jul";
        $monthAbbre[8] = "Aug";
        $monthAbbre[9] = "Sep";
        $monthAbbre[10] = "Oct";
        $monthAbbre[11] = "Nov";
        $monthAbbre[12] = "Dec";
        if ($startOrExpire == "s") {
            $dateField = "sdate";
        } else { // "e"
            $dateField = "edate";
        }
        $yy = "right($dateField,4)";
        $mm = "right(left($dateField,7),3)";
        $dd = "right(left($dateField,10),2)";
        $timeStr = "right(left($dateField,19),8)";
        if ($mode == "before") {
            $startMonth = 1;
            $endMonth = $monthInteger - 1;
            $operator = "<";
        } else { // "after"
            $startMonth = $monthInteger + 1;
            $endMonth = 12;
            $operator = ">";
        }
        for ($i = $startMonth; $i<=$endMonth; $i++) {
            $aMonthCheck[] = "$mm = '$monthAbbre[$i]'";
        }
        if (isset($aMonthCheck)) {
            $monthCheck = join(" OR ", $aMonthCheck);
            $monthCheck = "OR $yy = '$dateString[0]' AND ($monthCheck)";
        } else {
            $monthCheck = "";
        }
        $dayCheck = "$dd $operator '$dateString[2]'";
        $timeCheck = "$timeStr $operator '$dateString[3]'";
        $suffix = "($yy $operator '$dateString[0]' $monthCheck OR $yy = '$dateString[0]' AND $mm = '$monthAbbre[$monthInteger]' AND $dayCheck OR $yy = '$dateString[0]' AND $mm = '$monthAbbre[$monthInteger]' AND $dd = '$dateString[2]' AND $timeCheck)";
        return $suffix;
    } //makeComplexDateSql()
    
    include_once("..\\authserv\\common_functions.php");
    if (!isset($settingobj)) {
        $settingobj = new COM("FSCONFIG.Cfgmgr") or die("searchForm.php FSCONFIG.Cfgmgr Object cannot be created!");
    }
    $outval = $settingobj->getKey( "bt_low", "bw_throttle");
    if($outval!="") {
        $low=$outval;
    }

    $outval = $settingobj->getKey( "bt_medium", "bw_throttle");
    if($outval!="") {
        $medium=$outval;
    }
     
    $outval = $settingobj->getKey( "bt_high", "bw_throttle");
    if($outval!="") {
        $high=$outval;
    }

    // 20081030 - Obtain login mode status
    $scratch_login = (strtolower($settingobj->getKey('scratch_login', 'gateway') == 'on'))? 'true' : 'false';

    //$settingobj->Release();
    $settingobj=null;
?>
<script lang="javascript">
//from searchForm.php to declare useful global variables
var glo_isSearchUser = "<?=$searchUser?>";
<?php
if (isset($searchFormData)) {
    echo "var glo_oldSearchFormData = \"$searchFormData\";\n";
}
?>
</script>

<?php
    if (isset($searchFormData)) {

        //Put back the search form date to array $formElement
        //For format of $searchFormData please refer to formDataToString() in searchUser.js 
        foreach (explode("|", $searchFormData) as $value) {
            $temp = explode(",", $value);
            $formElement[$temp[0]] = array("type" =>$temp[1], "value" =>$temp[2]);
        }

        if ($searchUser=="frmAdvanced") { //Advanced search form is submitted
            /***************************************************
             * Generate SQL where statement of advanced search *
             ***************************************************/
            if ($formElement['fACUN']['value']=="t") { //Username
                $sqlSuffix[] = "name LIKE '".preg_replace("/\*+/","%",$formElement['fATUN']['value'])."'";
            }
            if ($formElement['fACMAC']['value']=="t") { //MAC user?
                if ($formElement['fASMAC']['value']=="0") { //must be MAC user
                    $sqlSuffix[] = "(macasusr IS NOT NULL AND macasusr = 'Y')";
                    if ($formElement['fACMACPL']['value']=="t") { //passive login?
                        if ($formElement['fASMACPL']['value']=="0") { //must be passive login
                            $sqlSuffix[] = "(pwd IS NULL)";
                        } else { //must not be passive login
                            $sqlSuffix[] = "(pwd IS NOT NULL)";
                        }
                    }
                } else { //must not be MAC user
                    $sqlSuffix[] = "(macasusr IS NULL)";
                }
            }
            if ($formElement['fACAD']['value']=="t") { //account disabled?
                if ($formElement['fASAD']['value']=="0") { //account enabled
                    $sqlSuffix[] = "(status IS NULL OR status = 0)";
                } else { //account disabled
                    $sqlSuffix[] = "(status = 1)";
                }
            } //end account disabled?
            if ($formElement['fACAA']['value']=="t") { //when will account be active
                switch ($formElement['fASAA']['value']) {
                    case "0": //active now
                        $sqlSuffix[] = "(startmod = 0)";
                        break;
                    case "1": //when user first login
                        $sqlSuffix[] = "(startmod = 1)";
                        break;
                    case "2": //after specific date
                        $sqlSuffix[] = "(startmod = 2)";
                        if ($formElement['fACAAA']['value']=="t") {
                            $searchStartTimestamp = mktime_from_datetime($formElement["fATAAAd"]["value"],$formElement["fATAAAt"]["value"]);
                            if ($formElement["fASAAA"]["value"] == "0") {
                                // "before"
                                $sqlSuffix[] = makeComplexDateSql('s','before',$searchStartTimestamp);
                            } else if ($formElement["fASAAA"]["value"] == "1") {
                                // "after"
                                $sqlSuffix[] = makeComplexDateSql('s','after',$searchStartTimestamp);
                            }
                        }
                        break;
                    default:
                        break;
                }
            } //end account be active
            if ($formElement['fACS']['value']=="t") { //Account suspension
                if ($formElement['fACSNe']['value']=="t") { //never
                    $sqlSuffix[] = "(edate IS NULL) AND (eminutes IS NULL) AND (logins IS NULL) AND (timeleft IS NULL)";
                }
                if ($formElement['fACSNa']['value']=="t") { //when no airtime left
                    $sqlSuffix[] = "(timeleft IS NOT NULL)";
                    if ($formElement['fACSA']['value']=="t") { //specify current airtime left
                        $sqlSuffix[] = "(timeleft".numberOperator($formElement['fASSA']['value']).$formElement['fATSA']['value'].")";   
                    }
                }
                if ($formElement['fACSL']['value']=="t") { //when number of login exceed
                    $sqlSuffix[] = "(logins IS NOT NULL)";
                    if ($formElement['fACSLl']['value']=="t") { //specify current logins left
                        $sqlSuffix[] = "(logins". numberOperator($formElement['fASSLl']['value']).$formElement['fATSLl']['value'].")";
                    }
                }
                if ($formElement['fACSAt']['value']=="t") { //expire at specific date
                    $sqlSuffix[] = "(edate IS NOT NULL)";
                    if ($formElement['fACSAd']['value']=="t") {
                        $searchExpiryTimestamp = mktime_from_datetime($formElement["fATSAd"]["value"],$formElement["fATSAt"]["value"]);
                        if ($formElement["fASSAd"]["value"] == "0") {
                            // "before"
                            $sqlSuffix[] = makeComplexDateSql('e','before',$searchExpiryTimestamp);
                        } else if ($formElement["fASSAd"]["value"] == "1") {
                            // "after"
                            $sqlSuffix[] = makeComplexDateSql('e','after',$searchExpiryTimestamp);
                        }
                    }
                }
                if ($formElement['fACSrecur']['value']=="t") { //recurring
                	$request_weeksch = 0;
                	if ($formElement['fASSmon']['value']=="t")
	                	$request_weeksch+=2;
	                if ($formElement['fASStue']['value']=="t")
	                	$request_weeksch+=4;
	                if ($formElement['fASSwed']['value']=="t")
	                	$request_weeksch+=8;
	                if ($formElement['fASSthr']['value']=="t")
	                	$request_weeksch+=16;
	                if ($formElement['fASSfri']['value']=="t")
	                	$request_weeksch+=32;
	                if ($formElement['fASSsat']['value']=="t")
	                	$request_weeksch+=64;
	                if ($formElement['fASSsun']['value']=="t")
	                	$request_weeksch+=1;
                	
                	$myDB = new db();
					$usrTable = $myDB->get_usr_table();
					$result = $myDB->query("SELECT name, weeksch FROM $usrTable WHERE roption = 1;");
					$i=1;
					while(odbc_fetch_row($result, $i)) {
						$name_tmp = odbc_result($result, 1);
						$weeksch_tmp = odbc_result($result, 2);
						
						if(($weeksch_tmp & $request_weeksch) > 0)
							$tmp[] = "name = '$name_tmp'";
						$i++;
					}
					$myDB->close();
					
					if(isset($tmp)) {
						$tmpStr = join($tmp, " OR ");
						$sqlSuffix[] = "(roption = 1)";
						$sqlSuffix[] = "($tmpStr)";
					} else if ($request_weeksch == 0) {
						$sqlSuffix[] = "(roption = 1)";
						$sqlSuffix[] = "(weeksch = 0 OR weeksch IS NULL)";
					} else {
						$sqlSuffix[] = "(roption = 1)";
						$sqlSuffix[] = "(weeksch > 127)";
					}
            	}
            } //end account suspension
            if ($formElement['fACB']['value']=="t") { //bandwidth throttle
                switch ($formElement['fASB']['value']) {
                    case "0": //none
                        $sqlSuffix[] = "(btul = 0) AND (btdl = 0)";
                        break;
                    case "1": //low
                        $sqlSuffix[] = "(btul = $low) AND (btdl = $low)";
                        break;
                    case "2": //medium
                        $sqlSuffix[] = "(btul = $medium) AND (btdl = $medium)";
                        break;
                    case "3": //high
                        $sqlSuffix[] = "(btul = $high) AND (btdl = $high)";
                        break;
                    case "4": //global setting
                        $sqlSuffix[] = "(btul IS NULL) AND (btdl IS NULL)";
                        break;
                    case "5": //specify
                        if ($formElement['fACBSU']['value']=="t") { //upload
                            $sqlSuffix[] = "(btul ".numberOperator($formElement['fASBSU']['value']).$formElement['fATBSU']['value'].")";
                        }
                        if ($formElement['fACBSD']['value']=="t") { //download
                            $sqlSuffix[] = "(btdl ".numberOperator($formElement['fASBSD']['value']).$formElement['fATBSD']['value'].")";
                        }
                        break;
                    default:
                        break;  
                }
            } //end bandwidth throttle
            if ($formElement['fACDU']['value']=="t") { //data transfer counting UL
                switch ($formElement['fASDU']['value']) {
                    case "0": //global setting
                        $sqlSuffix[] = "(bwcountUL IS NULL)";
                        break;
                    case "1": //no
                        $sqlSuffix[] = "(bwcountUL = 0)";
                        break;
                    case "2": //yes
                        $sqlSuffix[] = "(bwcountUL = 1)";
                        break;
                    case "3": //yes and disable account
                        $sqlSuffix[] = "(bwcountUL = 2)";
                        if ($formElement['fACDUQ']['value']=="t") { //specify upload quota
                            $sqlSuffix[] = "(bwquotaUL ".numberOperator($formElement['fASDUQ']['value']).$formElement['fATDUQ']['value'].")";
                        }
                        break;
                    default:
                        break;
                }
            } //end data transfer counting UL
            if ($formElement['fACDUC']['value']=="t") { //data transfer consummed UL
                $sqlSuffix[] = "(accumbwUL ".numberOperator($formElement['fASDUC']['value']).$formElement['fATDUC']['value'].")";
            }
            if ($formElement['fACDD']['value']=="t") { //data transfer counting DL
                switch ($formElement['fASDD']['value']) {
                    case "0": //global setting
                        $sqlSuffix[] = "(bwcount IS NULL)";
                        break;
                    case "1": //no
                        $sqlSuffix[] = "(bwcount = 0)";
                        break;
                    case "2": //yes
                        $sqlSuffix[] = "(bwcount = 1)";
                        break;
                    case "3": //yes and disable account
                        $sqlSuffix[] = "(bwcount = 2)";
                        if ($formElement['fACDDQ']['value']=="t") { //specify download quota
                            $sqlSuffix[] = "(bwquota ".numberOperator($formElement['fASDDQ']['value']).$formElement['fATDDQ']['value'].")";
                        }
                        break;
                    default:
                        break;
                }
            } //end data transfer counting DL
            if ($formElement['fACDDC']['value']=="t") { //data transfer consummed DL
                $sqlSuffix[] = "(accumbw ".numberOperator($formElement['fASDDC']['value']).$formElement['fATDDC']['value'].")";
            } //end data transfer consummed DL
            if ($formElement['fACP']['value']=='t') { //print quota
                //Handle case when pagenum is null, we treat it as zero page
                if ($formElement['fASP']['value']==0 || $formElement['fASP']['value']==1 && round($formElement['fATP']['value'])==0) {
                    //when search for 'less than' or 'equal to zero', we add this:
                    $searchNull = 'pagenum IS NULL OR ';
                } else {
                    $searchNull = '';
                }
                $sqlSuffix[] = "($searchNull pagenum ".numberOperator($formElement['fASP']['value']).$formElement['fATP']['value'].')';
            } //end print qutoa
            if ($formElement['fACACL']['value']=='t') { //Apply access control list
                switch ($formElement['fASACL']['value']) {
                    case '0': //yes
                        $sqlSuffix[] = "(acl = 'Y')";
                        break;
                    case '1': //no
                        $sqlSuffix[] = '(acl IS NULL)';
                        break;
                    default:
                        break;
                }
            } //end apply access control list
            if ($formElement['fACRSU']['value']=='t') { //Request signup
                switch ($formElement['fASRSU']['value']) {
                    case '0': //yes
                        $sqlSuffix[] = "(reqsignup = 'Y')";
                        break;
                    case '1': //no
                        $sqlSuffix[] = '(reqsignup IS NULL)';
                        break;
                    default:
                        break;
                }
            } //end request signup
            if ($formElement['fACMACMAP']['value']=='t') { //MAC mapping
	            switch ($formElement['fASMACMAP']['value']) {
                    case '0': //yes
                        $sqlSuffix[] = "(macmap = 1)";
                        break;
                    case '1': //no
                        $sqlSuffix[] = '(macmap = 0 OR macmap IS NULL)';
                        break;
                    default:
                        break;
                }
            } //end MAC mapping
            if ($formElement['fACIPMAP']['value']=='t') { //IP mapping
	            switch ($formElement['fASIPMAP']['value']) {
                    case '0': //yes
                        $sqlSuffix[] = "(ipmap = 1)";
                        break;
                    case '1': //no
                        $sqlSuffix[] = '(ipmap = 0 OR ipmap IS NULL)';
                        break;
                    default:
                        break;
                }
            } //end IP mapping
            if ($formElement['fACAUTODEL']['value']=='t') { //auto del
	            switch ($formElement['fASAUTODEL']['value']) {
                    case '0': //yes
                        $sqlSuffix[] = "(auto_del = 1 OR auto_del IS NULL)";
                        break;
                    case '1': //no
                        $sqlSuffix[] = '(auto_del = 0)';
                        break;
                    default:
                        break;
                }
            } //end auto del
        } else if ($searchUser=="frmSimple") { //Simple search form was submitted
            /*************************************************
             * Generate SQL where statement of simple search *
             *************************************************/
            if ($formElement["fSTUN"]["value"] != "null") { //username
                $sqlSuffix[] = "(name LIKE '%" . $formElement["fSTUN"]["value"] . "%')";
            }
            if ($formElement["fSSLl"]["value"] != "0") { //last login date
                if ($formElement["fSSLl"]["value"] == "1") {
                    $sqlSuffix[] = "(reserved2 < ". mktime_from_datetime($formElement["fSTLd"]["value"], $formElement["fSTLt"]["value"]) . ")";
                } else if ($formElement["fSSLl"]["value"] == "2") {
                    $sqlSuffix[] = "(reserved2 > ". mktime_from_datetime($formElement["fSTLd"]["value"], $formElement["fSTLt"]["value"]) . ")";
                }
            }
            if ($formElement["fSSAS"]["value"] == "1") { //account functional
                $sqlSuffix[] = "(status = 0 OR status IS NULL)"; //account enabled
                $sqlSuffix[] = "(timeleft IS NULL OR timeleft > 0)"; //no airtime limit or still have airtime left
                $sqlSuffix[] = "(logins IS NULL OR logins > 0)"; //no login limit or still have login quota left
                $sqlSuffix[] = "(bwcountUL IS NULL OR bwcountUL <> 2 OR accumbwUL IS NULL OR accumbwUL < bwquotaUL)"; //upload counting is not set or upload used does not exceed upload quota
                $sqlSuffix[] = "(bwcount IS NULL OR bwcount <> 2 OR accumbw IS NULL OR accumbw < bwquota)"; //downlaod counting is not set or downlaod quota used does not exceed download quota
                $sqlSuffix[] = "(edate IS NULL OR ".makeComplexDateSql('e','after',time()).")";
            } else if ($formElement["fSSAS"]["value"]== "2") { //account non-functional
                $sqlSuffix[] = "((status = 1) OR (timeleft IS NOT NULL AND timeleft <= 0) OR (logins IS NOT NULL AND logins <= 0) OR (bwcountUL IS NOT NULL AND bwcountUL = 2 AND accumbwUL IS NOT NULL AND accumbwUL > bwquotaUL) OR (bwcount IS NOT NULL AND bwcount = 2 AND accumbw IS NOT NULL AND accumbw > bwquota) OR (edate IS NOT NULL AND ".makeComplexDateSql('e','before',time())."))"; 
            }
        } //end making SQL where statement 
        if (isset($sqlSuffix)) {
            $sqlWhereStatement = join(" AND ",$sqlSuffix); //join all conditions with AND
        }
    } //end Processing search form data
?>
<script src="./javascript/searchUser.js" lang="javascript">//Perform action related to search user</script>
<?php
if ($searchUser=="frmSimple") { //output simple simple form only
?>
    <div id="simpleSearchBox">
        <ul class="simpleSearchBoxHeader">
            <li><input type="button" value="<?=get_cm_var('setcfg_users_search_simple_startsearch')?>" class="btn_startSearch" onclick="startSearchOnclick('frmSimple')"/>
                <input type="button" id="btn_hideSearch" value="<?=get_cm_var('setcfg_users_search_simple_hide')?>" class="btn_hideSearch" onclick="hideSearch('frmSimple')"/>
        </ul>
        <form id="frmSimple" action="setcfg.php?category=u" method="post">
            <ul>
<?
    // 20081030 - Handling for Scratch Code mode
    if ($scratch_login == 'true') {
?>
                <li/><label><?=get_cm_var('setcfg_users_search_simple_scode')?></label>
<?
    } else {
?>
                <li/><label><?=get_cm_var('setcfg_users_search_simple_username')?></label>
<?
    }
?>
                    <input type="text" size="25" id="fSTUN" name="fSTUN">
                <li/><label><?=get_cm_var('setcfg_users_search_simple_accountstatus')?></label>
                    <select id="fSSAS" name="fSSAS">
                        <option value="dk" selected><?=get_cm_var('setcfg_users_search_simple_accountstatus_select_0')?>
                        <option value="f"><?=get_cm_var('setcfg_users_search_simple_accountstatus_select_1')?>
                        <option value="nf"><?=get_cm_var('setcfg_users_search_simple_accountstatus_select_2')?>
                    </select>
                <li/><label><?=get_cm_var('setcfg_users_search_simple_lastlogin')?></label>
                    <select  id="fSSLl" name="fSSLl" onchange="searchElementOnclick(this)">
                        <option value="dk" selected><?=get_cm_var('setcfg_users_search_simple_lastlogin_select_0')?>
                        <option value="before"><?=get_cm_var('setcfg_users_search_simple_lastlogin_select_1')?>
                        <option value="after"><?=get_cm_var('setcfg_users_search_simple_lastlogin_select_2')?>
                    </select>
                    <input id="fSTLd" name="fSTLd" type="text" size="10" disabled><?=get_cm_var('setcfg_users_search_simple_lastlogin_dmy')?>
                    <input id="fSTLt" name="fSTLt" type="text" size="5" disabled><?=get_cm_var('setcfg_users_search_simple_lastlogin_hhmm')?>
                    <input type="hidden" name="searchUser" value="frmSimple">
                    <input type="hidden" name="searchFormData" value="">
            </ul>
        </form><!-- frmSimple -->
    </div><!-- simple search box -->
<?php
} else if ($searchUser=="frmAdvanced") { //output advanced search form only
?>
    <div id="advancedSearchBox"> 
        <ul class="advancedSearchBoxHeader">
            <li><input type="button" value="<?=get_cm_var('setcfg_users_search_advanced_startsearch')?>" class="btn_startSearch" onclick="startSearchOnclick('frmAdvanced')"/>
                <input type="button" id="btn_hideSearch" value="<?=get_cm_var('setcfg_users_search_advanced_hide')?>" class="btn_hideSearch" onclick="hideSearch('frmAdvanced')"/>
        </ul>
        <form id="frmAdvanced" action="setcfg.php?category=u" method="post">
            <ul>
                <li id="us.1" class="firstLevel">
                    <span class="firstLevelLeft">
<?
    // 20081030 - Handling for Scratch Code mode
    if ($scratch_login == 'true') {
?>
                        <input type="checkbox" id="fACUN" name="fACUN" onclick="searchElementOnclick(this)"><?=get_cm_var('setcfg_users_search_advanced_scode')?>
<?
    } else {
?>
                        <input type="checkbox" id="fACUN" name="fACUN" onclick="searchElementOnclick(this)"><?=get_cm_var('setcfg_users_search_advanced_username')?>
<?
    }
?>
                    </span>
                    <input type="text" size="25" id="fATUN" name="fATUN" disabled>
                <li id="us.2" class="firstLevel">
                    <span class="firstLevelLeft">
                        <input type="checkbox" id="fACMAC" name="fACMAC" onclick="searchElementOnclick(this)"><?=get_cm_var('setcfg_users_search_advanced_mac')?>
                    </span>
                    <select id="fASMAC" name="fASMAC" onchange="searchElementOnclick(this)" disabled>
                        <option id="fASMAC1" value="mac"><?=get_cm_var('setcfg_users_search_advanced_mac_y')?>
                        <option id="fASMAC2" value="non-mac"><?=get_cm_var('setcfg_users_search_advanced_mac_n')?>
                    </select>
                <li id="us.2.1" class="secondLevel">
                    <span class="secondLevelLeft">
                        <input type="checkbox" id="fACMACPL" name="fACMACPL" onclick="searchElementOnclick(this)"><?=get_cm_var('setcfg_users_search_advanced_mac_passive')?>
                    </span>
                    <select id="fASMACPL" name="fASMACPL" onchange="searchElementOnclick(this)" disabled>
                        <option id="fASMACPL1" value="passive"><?=get_cm_var('setcfg_users_search_advanced_y')?>
                        <option id="fASMACPL2" value="non-passive"><?=get_cm_var('setcfg_users_search_advanced_n')?>
                    </select>
                <li id="as.1" class="firstLevel">
                    <span class="firstLevelLeft">
                        <input type="checkbox" id="fACAD" name="fACAD" onclick="searchElementOnclick(this)"><?=get_cm_var('setcfg_users_search_advanced_accountdisable')?>
                    </span>
                    <select id="fASAD" name="fASAD" disabled>
                        <option value="enabled"><?=get_cm_var('setcfg_users_search_advanced_accountdisable_select_0')?>
                        <option value="disabled"><?=get_cm_var('setcfg_users_search_advanced_accountdisable_select_1')?>
                    </select>
                <li id="as.2" class="firstLevel">
                    <span class="firstLevelLeft">
                        <input type="checkbox" id="fACAA" name="fACAA" onclick="searchElementOnclick(this)"><?=get_cm_var('setcfg_users_search_advanced_accountactive')?>
                    </span>
                    <select id="fASAA" name="fASAA" onchange="searchElementOnclick(this)" disabled>
                        <option id="fASAA1" value="now" selected><?=get_cm_var('setcfg_users_search_advanced_accountactive_select_0')?>
                        <option id="fASAA2" value="first"><?=get_cm_var('setcfg_users_search_advanced_accountactive_select_1')?>
                        <option id="fASAA3" value="at"><?=get_cm_var('setcfg_users_search_advanced_accountactive_select_2')?>
                    </select>
                <li id="as.2.1" class="secondLevel">
                    <span class="secondLevelLeft">
                        <input type="checkbox" id="fACAAA" name="fACAAA" onclick="searchElementOnclick(this)" disabled><?=get_cm_var('setcfg_users_search_advanced_accountactivedate_specify')?>
                    </span>
                    <select id="fASAAA" name="fASAAA" disabled>
                        <option value="smallerthan"><?=get_cm_var('setcfg_users_search_advanced_accountactivedate_select_0')?>
                        <option value="greaterthan"><?=get_cm_var('setcfg_users_search_advanced_accountactivedate_select_1')?>
                    </select>
                    <input type="text" id="fATAAAd" name="fATAAAd" size="13" disabled><?=get_cm_var('setcfg_users_search_advanced_accountactivedate_dmy')?>
                    <input type="text" id="fATAAAt" name="fATAAAt" size="7" disabled><?=get_cm_var('setcfg_users_search_advanced_accountactivedate_hhmm')?>
                <li id="as.3" class="firstLevel">
                    <span class="firstLevelLeft">
                        <input type="checkbox" id="fACS" name="fACS" onclick="searchElementOnclick(this)"><?=get_cm_var('setcfg_users_search_advanced_suspension')?>
                    </span>
                    &nbsp;
                    <input type="button" value="abc" style="display: none;">
                <li id="as.3.1" class="secondLevel">
                    <span class="secondLevelLeft">
                        <input type="checkbox" id="fACSNe" name="fACSNe" onclick="searchElementOnclick(this)" disabled><?=get_cm_var('setcfg_users_search_advanced_suspension_never')?>
                    </span>
                    &nbsp;
                <li id="as.3.2" class="secondLevel">
                    <span class="secondLevelLeft">
                        <input type="checkbox" id="fACSNa" name="fACSNa" onclick="searchElementOnclick(this)" disabled><?=get_cm_var('setcfg_users_search_advanced_suspension_noairtime')?>
                    </span>
                    &nbsp;
                <li id="as.3.2.1" class="thirdLevel">
                    <span class="thirdLevelLeft">
                        <input type="checkbox" id="fACSA" name="fACSA" onclick="searchElementOnclick(this)" disabled><?=get_cm_var('setcfg_users_search_advanced_suspension_timeleft')?>
                    </span>
                    <select id="fASSA" name="fASSA" disabled>
                        <option value="lessthan"><?=get_cm_var('setcfg_users_search_advanced_less_than')?>
                        <option value="equal"><?=get_cm_var('setcfg_users_search_advanced_equal_to')?>
                        <option value="greaterthan"><?=get_cm_var('setcfg_users_search_advanced_greater_than')?>
                    </select>
                    <input type="text" id="fATSA" name="fATSA" size="7" disabled><?=get_cm_var('setcfg_users_search_advanced_suspension_timeleft_minutes')?>
                <li id="as.3.3" class="secondLevel">
                    <span class="secondLevelLeft">
                        <input type="checkbox" id="fACSL" name="fACSL" onclick="searchElementOnclick(this)" disabled><?=get_cm_var('setcfg_users_search_advanced_suspension_login')?>
                    </span>
                    &nbsp;
                <li id="as.3.3.1" class="thirdLevel">
                    <span class="thirdLevelLeft">
                        <input type="checkbox" id="fACSLl" name="fACSLl" onclick="searchElementOnclick(this)" disabled><?=get_cm_var('setcfg_users_search_advanced_suspension_login_left')?>
                    </span>
                    <select id="fASSLl" name="fASSLl" disabled>
                        <option value="lessthan"><?=get_cm_var('setcfg_users_search_advanced_less_than')?>
                        <option value="equal"><?=get_cm_var('setcfg_users_search_advanced_equal_to')?>
                        <option value="greaterthan"><?=get_cm_var('setcfg_users_search_advanced_greater_than')?>
                    </select>
                    <input type="text" id="fATSLl" name="fATSLl" size="7" disabled><?=get_cm_var('setcfg_users_search_advanced_suspension_login_times')?>
                <li id="as.3.4"class="secondLevel">
                    <span class="secondLevelLeft">
                        <input type="checkbox" id="fACSAt" name="fACSAt" onclick="searchElementOnclick(this)" disabled><?=get_cm_var('setcfg_users_search_advanced_suspension_date')?>
                    </span>
                    &nbsp;
                <li id="as.3.4.1" class="thirdLevel">
                    <span class="thirdLevelLeft">
                        <input type="checkbox" id="fACSAd" name="fACSAd" onclick="searchElementOnclick(this)" disabled><?=get_cm_var('setcfg_users_search_advanced_suspension_date_specify')?>
                    </span>
                    <select id="fASSAd" name="fASSAd" disabled>
                        <option value="smallerthan"><?=get_cm_var('setcfg_users_search_advanced_suspension_date_select_0')?>
                        <option value="greaterthan"><?=get_cm_var('setcfg_users_search_advanced_suspension_date_select_1')?>
                    </select>
                    <input type="text" id="fATSAd" name="fATSAd" size="13" disabled><?=get_cm_var('setcfg_users_search_advanced_suspension_dmy')?>
                    <input type="text" id="fATSAt" name="fATSAt" size="7" disabled><?=get_cm_var('setcfg_users_search_advanced_suspension_hhmm')?>
                <!-- Recurring -->
                <li id="as.3.5" class="secondLevel">
                    <span class="secondLevelLeft">
                        <input type="checkbox" id="fACSrecur" name="fACSrecur" onclick="searchElementOnclick(this)" disabled><?=get_cm_var('setcfg_recur_name')?>
                    </span>
                    &nbsp;
                <li id="as.3.5.1" class="thirdLevel">
                    <span class="thirdLevelLeft">
                        <input type="checkbox" id="fASSmon" name="fASSmon"><?=get_cm_var('setcfg_mon')?>
                        <input type="checkbox" id="fASStue" name="fASStue"><?=get_cm_var('setcfg_tue')?>
                        <input type="checkbox" id="fASSwed" name="fASSwed"><?=get_cm_var('setcfg_wed')?>
                        <input type="checkbox" id="fASSthr" name="fASSthr"><?=get_cm_var('setcfg_thr')?>
                        <input type="checkbox" id="fASSfri" name="fASSfri"><?=get_cm_var('setcfg_fri')?>
                        <input type="checkbox" id="fASSsat" name="fASSsat"><?=get_cm_var('setcfg_sat')?>
                        <input type="checkbox" id="fASSsun" name="fASSsun"><?=get_cm_var('setcfg_sun')?>
                    </span>
                <li id="bt.1" class="firstLevel">
                    <span class="firstLevelLeft">
                        <input type="checkbox" id="fACB" name="fACB" onclick="searchElementOnclick(this)"><?=get_cm_var('setcfg_users_search_advanced_bt')?>
                    </span>
                    <select id="fASB" name="fASB" onchange="searchElementOnclick(this)" disabled>
                        <option id="fASB1" value="none"><?=get_cm_var('setcfg_users_search_advanced_bt_select_0')?>
                    <option id="fASB2" value="low"><?=get_cm_var('setcfg_users_search_advanced_bt_select_1')?> (<?=$low?> <?=get_cm_var('setcfg_users_search_advanced_bt_upload_unit')?>)
                        <option id="fASB3" value="medium"><?=get_cm_var('setcfg_users_search_advanced_bt_select_2')?> (<?=$medium?> <?=get_cm_var('setcfg_users_search_advanced_bt_upload_unit')?>)
                        <option id="fASB4" value="high"><?=get_cm_var('setcfg_users_search_advanced_bt_select_3')?> (<?=$high?> <?=get_cm_var('setcfg_users_search_advanced_bt_upload_unit')?>)
                        <option id="fASB5" value="global"><?=get_cm_var('setcfg_users_search_advanced_bt_select_4')?>
                        <option id="fASB6" value="specify"><?=get_cm_var('setcfg_users_search_advanced_bt_select_5')?>
                    </select>
                <li id="bt.1.1"class="secondLevel">
                    <span class="secondLevelLeft">
                        <input type="checkbox" id="fACBSU" name="fACBSU" onclick="searchElementOnclick(this)" disabled><?=get_cm_var('setcfg_users_search_advanced_bt_upload')?>    
                    </span>
                    <select id="fASBSU" name="fASBSU" disabled>
                        <option value="lessthan"><?=get_cm_var('setcfg_users_search_advanced_less_than')?>
                        <option value="equal"><?=get_cm_var('setcfg_users_search_advanced_equal_to')?>
                        <option value="greaterthan"><?=get_cm_var('setcfg_users_search_advanced_greater_than')?>
                    </select>
                    <input type="text" id="fATBSU" name="fATBSU" size="7" disabled><?=get_cm_var('setcfg_users_search_advanced_bt_upload_unit')?>
                <li id="bt.1.2"class="secondLevel">
                    <span class="secondLevelLeft">
                        <input type="checkbox" id="fACBSD" name="fACBSD" onclick="searchElementOnclick(this)" disabled><?=get_cm_var('setcfg_users_search_advanced_bt_download')?>  
                    </span>
                    <select id="fASBSD" name="fASBSD" disabled>
                        <option value="lessthan"><?=get_cm_var('setcfg_users_search_advanced_less_than')?>
                        <option value="equal"><?=get_cm_var('setcfg_users_search_advanced_equal_to')?>
                        <option value="greaterthan"><?=get_cm_var('setcfg_users_search_advanced_greater_than')?>
                    </select>
                    <input type="text" id="fATBSD" name="fATBSD" size="7" disabled><?=get_cm_var('setcfg_users_search_advanced_bt_download_unit')?>
                <li id="dtc.1" class="firstLevel">
                    <span class="firstLevelLeft">
                        <input type="checkbox" id="fACDU" name="fACDU" onclick="searchElementOnclick(this)"><?=get_cm_var('setcfg_users_search_advanced_dtc_ul')?>
                    </span>
                    <select id="fASDU" name="fASDU" onchange="searchElementOnclick(this)" disabled>
                        <option id="fASDU1" value="global"><?=get_cm_var('setcfg_users_search_advanced_dtc_ul_select_0')?>
                        <option id="fASDU2" value="no"><?=get_cm_var('setcfg_users_search_advanced_dtc_ul_select_1')?>
                        <option id="fASDU3" value="yes"><?=get_cm_var('setcfg_users_search_advanced_dtc_ul_select_2')?>
                        <option id="fASDU4" value="yesdisable"><?=get_cm_var('setcfg_users_search_advanced_dtc_ul_select_3')?>
                    </select>
                <li id="dtc.1.1" class="secondLevel">
                    <span class="secondLevelLeft">
                        <input type="checkbox" id="fACDUQ" name="fACDUQ" onclick="searchElementOnclick(this)" disabled><?=get_cm_var('setcfg_users_search_advanced_dtc_ul_quota')?>
                    </span>
                    <select id="fASDUQ" name="fASDUQ" disabled>
                        <option value="lessthan"><?=get_cm_var('setcfg_users_search_advanced_less_than')?>
                        <option value="equal"><?=get_cm_var('setcfg_users_search_advanced_equal_to')?>
                        <option value="greaterthan"><?=get_cm_var('setcfg_users_search_advanced_greater_than')?>
                    </select>
                    <input type="text" id="fATDUQ" name="fATDUQ" size="7" disabled><?=get_cm_var('setcfg_users_search_advanced_dtc_ul_quota_unit')?>
                <li id="dtc.2" class="firstLevel">
                    <span class="firstLevelLeft">
                        <input type="checkbox" id="fACDUC" name="fACDUC" onclick="searchElementOnclick(this)"><?=get_cm_var('setcfg_users_search_advanced_dtc_ul_consume')?>
                    </span>
                    <select id="fASDUC" name="fASDUC" disabled>
                        <option value="lessthan" ><?=get_cm_var('setcfg_users_search_advanced_less_than')?>
                        <option value="equal"><?=get_cm_var('setcfg_users_search_advanced_equal_to')?>
                        <option value="greaterthan"><?=get_cm_var('setcfg_users_search_advanced_greater_than')?>
                    </select>
                    <input type="text" id="fATDUC" name="fATDUC" size="7" disabled>&nbsp;
                    <?=get_cm_var('setcfg_users_search_advanced_dtc_ul_consume_unit')?>
                <li id="dtc.3" class="firstLevel">
                    <span class="firstLevelLeft">
                        <input type="checkbox" id="fACDD" name="fACDD" onclick="searchElementOnclick(this)"><?=get_cm_var('setcfg_users_search_advanced_dtc_dl')?>
                    </span>
                    <select id="fASDD" name="fASDD" onchange="searchElementOnclick(this)" disabled>
                        <option id="fASDD1" value="global"><?=get_cm_var('setcfg_users_search_advanced_dtc_dl_select_0')?>
                        <option id="fASDD2" value="no"><?=get_cm_var('setcfg_users_search_advanced_dtc_dl_select_1')?>
                        <option id="fASDD3" value="yes"><?=get_cm_var('setcfg_users_search_advanced_dtc_dl_select_2')?>
                        <option id="fASDD4" value="yesdisable"><?=get_cm_var('setcfg_users_search_advanced_dtc_dl_select_3')?>
                    </select>
                <li id="dtc.3.1" class="secondLevel">
                    <span class="secondLevelLeft">
                        <input type="checkbox" id="fACDDQ" name="fACDDQ" onclick="searchElementOnclick(this)" disabled><?=get_cm_var('setcfg_users_search_advanced_dtc_dl_quota')?>
                    </span>
                    <select id="fASDDQ" name="fASDDQ" disabled>
                        <option value="lessthan"><?=get_cm_var('setcfg_users_search_advanced_less_than')?>
                        <option value="equal"><?=get_cm_var('setcfg_users_search_advanced_equal_to')?>
                        <option value="greaterthan"><?=get_cm_var('setcfg_users_search_advanced_greater_than')?>
                    </select>
                    <input type="text" id="fATDDQ" name="fATDDQ" size="7" disabled>&nbsp;
                    <?=get_cm_var('setcfg_users_search_advanced_dtc_dl_quota_unit')?>
                <li id="dtc.4" class="firstLevel">
                    <span class="firstLevelLeft">
                        <input type="checkbox" id="fACDDC" name="fACDDC" onclick="searchElementOnclick(this)"><?=get_cm_var('setcfg_users_search_advanced_dtc_dl_consume')?>
                    </span>
                    <select id="fASDDC" name="fASDDC" disabled>
                        <option value="lessthan" ><?=get_cm_var('setcfg_users_search_advanced_less_than')?>
                        <option value="equal"><?=get_cm_var('setcfg_users_search_advanced_equal_to')?>
                        <option value="greaterthan"><?=get_cm_var('setcfg_users_search_advanced_greater_than')?>
                    </select>
                    <input type="text" id="fATDDC" name="fATDDC" size="7" disabled>&nbsp;
                    <?=get_cm_var('setcfg_users_search_advanced_dtc_dl_consume_unit')?>
                <li id="print" class="firstLevel">
                    <span class="firstLevelLeft">
                        <input type="checkbox" id="fACP" name="fACP" onclick="searchElementOnclick(this)">
                        <?=get_cm_var('setcfg_users_search_advanced_print_quota')?>
                    </span>
                    <select id="fASP" name="fASP" disabled>
                        <option value="lessthan" ><?=get_cm_var('setcfg_users_search_advanced_less_than')?>
                        <option value="equal"><?=get_cm_var('setcfg_users_search_advanced_equal_to')?>
                        <option value="greaterthan"><?=get_cm_var('setcfg_users_search_advanced_greater_than')?>
                    </select>
                    <input type="text" id="fATP" name="fATP" size="7" maxlength="5" disabled>&nbsp;
                    <?=get_cm_var('setcfg_users_search_advanced_pages_unit')?>
                <li id="acl" class="firstLevel">
                    <span class="firstLevelLeft">
                        <input type="checkbox" id="fACACL" name="fACACL" onclick="searchElementOnclick(this)">
                        <?=get_cm_var('setcfg_users_search_advanced_acl')?>
                    </span>
                    <select id="fASACL" name="fASACL" disabled>
                        <option value="yes" selected><?=get_cm_var('setcfg_users_search_advanced_y')?>
                        <option value="no"><?=get_cm_var('setcfg_users_search_advanced_n')?>
                    </select>
                <li id="rsu" class="firstLevel">
                    <span class="firstLevelLeft">
                        <input type="checkbox" id="fACRSU" name="fACRSU" onclick="searchElementOnclick(this)">
                        <?=get_cm_var('setcfg_users_search_advanced_rsu')?>
                    </span>
                    <select id="fASRSU" name="fASRSU" disabled>
                        <option value="yes" selected><?=get_cm_var('setcfg_users_search_advanced_y')?>
                        <option value="no"><?=get_cm_var('setcfg_users_search_advanced_n')?>
                    </select>
                <!-- MAC mapping -->
                <li id="macmap_search" class="firstLevel">
                    <span class="firstLevelLeft">
                        <input type="checkbox" id="fACMACMAP" name="fACMACMAP" onclick="searchElementOnclick(this)">
                        <?=get_cm_var('setcfg_mac_map_enabled')?>
                    </span>
                    <select id="fASMACMAP" name="fASMACMAP" disabled>
                        <option value="yes" selected><?=get_cm_var('setcfg_users_search_advanced_y')?>
                        <option value="no"><?=get_cm_var('setcfg_users_search_advanced_n')?>
                    </select>
                <!-- IP mapping -->
                <li id="ipmap_search" class="firstLevel">
                    <span class="firstLevelLeft">
                        <input type="checkbox" id="fACIPMAP" name="fACIPMAP" onclick="searchElementOnclick(this)">
                        <?=get_cm_var('setcfg_ip_map_enabled')?>
                    </span>
                    <select id="fASIPMAP" name="fASIPMAP" disabled>
                        <option value="yes" selected><?=get_cm_var('setcfg_users_search_advanced_y')?>
                        <option value="no"><?=get_cm_var('setcfg_users_search_advanced_n')?>
                    </select>
                <!-- Auto del -->
                <li id="autodel_search" class="firstLevel">
                    <span class="firstLevelLeft">
                        <input type="checkbox" id="fACAUTODEL" name="fACAUTODEL" onclick="searchElementOnclick(this)">
                        <?=get_cm_var('setcfg_auto_del_enabled')?>
                    </span>
                    <select id="fASAUTODEL" name="fASAUTODEL" disabled>
                        <option value="yes" selected><?=get_cm_var('setcfg_users_search_advanced_y')?>
                        <option value="no"><?=get_cm_var('setcfg_users_search_advanced_n')?>
                    </select>
            </ul>
            <input type="hidden" name="searchUser" value="frmAdvanced">
            <input type="hidden" name="searchFormData" value="">
        </form><!-- formAdvanced -->
    </div> <!-- advanced search box -->
<?php
} //end output simple/advanced search form
?>
<script lang="javascript">
//This block of statement come from searchUser.php
//The aim is to hide the inactive search form
init('<?=$searchUser?>');
</script>
